<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlatZaAnalitiku: Graphs Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">AlatZaAnalitiku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="class_graphs-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">Graphs Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="graphs_8h_source.html">graphs.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Graphs:</div>
<div class="dyncontent">
<div class="center"><img src="class_graphs__inherit__graph.png" border="0" usemap="#a_graphs_inherit__map" alt="Inheritance graph"/></div>
<map name="a_graphs_inherit__map" id="a_graphs_inherit__map">
<area shape="rect" title=" " alt="" coords="5,123,171,448"/>
<area shape="rect" title=" " alt="" coords="37,5,139,75"/>
<area shape="poly" title=" " alt="" coords="91,90,91,123,85,123,85,90"/>
</map>
</div>
<div class="dynheader">
Collaboration diagram for Graphs:</div>
<div class="dyncontent">
<div class="center"><img src="class_graphs__coll__graph.png" border="0" usemap="#a_graphs_coll__map" alt="Collaboration graph"/></div>
<map name="a_graphs_coll__map" id="a_graphs_coll__map">
<area shape="rect" title=" " alt="" coords="5,123,171,448"/>
<area shape="rect" title=" " alt="" coords="37,5,139,75"/>
<area shape="poly" title=" " alt="" coords="91,90,91,123,85,123,85,90"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a1f49a6d1907651382b9a948af85e03f9" id="r_a1f49a6d1907651382b9a948af85e03f9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a1f49a6d1907651382b9a948af85e03f9">Graphs</a> (QGraphicsView *parent=nullptr)</td></tr>
<tr class="separator:a1f49a6d1907651382b9a948af85e03f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-methods" name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:aa164267ba246cb8f66d2ae7fd1128a4c" id="r_aa164267ba246cb8f66d2ae7fd1128a4c"><td class="memItemLeft" align="right" valign="top">static QChart *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aa164267ba246cb8f66d2ae7fd1128a4c">createLineChart</a> (<a class="el" href="class_data_frame.html">DataFrame</a> &amp;data, const QString &amp;xColumn, const QString &amp;yColumn, QColor &amp;color)</td></tr>
<tr class="separator:aa164267ba246cb8f66d2ae7fd1128a4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c735836e91cd94bd3e361b11e6a8ffe" id="r_a9c735836e91cd94bd3e361b11e6a8ffe"><td class="memItemLeft" align="right" valign="top">static QChart *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a9c735836e91cd94bd3e361b11e6a8ffe">createScatterChart</a> (<a class="el" href="class_data_frame.html">DataFrame</a> &amp;data, const QString &amp;xColumn, const QString &amp;yColumn, QColor &amp;color)</td></tr>
<tr class="separator:a9c735836e91cd94bd3e361b11e6a8ffe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5a7231d718606df6aefc8ab8cceb4e5" id="r_aa5a7231d718606df6aefc8ab8cceb4e5"><td class="memItemLeft" align="right" valign="top">static QChart *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aa5a7231d718606df6aefc8ab8cceb4e5">createPieOrDonutChart</a> (<a class="el" href="class_data_frame.html">DataFrame</a> &amp;data, const QString &amp;xColumn, bool isDonutChart)</td></tr>
<tr class="separator:aa5a7231d718606df6aefc8ab8cceb4e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb4414bb0ed5b28e2c8acbae238679c5" id="r_afb4414bb0ed5b28e2c8acbae238679c5"><td class="memItemLeft" align="right" valign="top">static QChart *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#afb4414bb0ed5b28e2c8acbae238679c5">createPieChart</a> (<a class="el" href="class_data_frame.html">DataFrame</a> &amp;data, const QString &amp;xColumn)</td></tr>
<tr class="separator:afb4414bb0ed5b28e2c8acbae238679c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac07ff30a0dd7b98f5f271a2276f7241c" id="r_ac07ff30a0dd7b98f5f271a2276f7241c"><td class="memItemLeft" align="right" valign="top">static QChart *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ac07ff30a0dd7b98f5f271a2276f7241c">createDonutChart</a> (<a class="el" href="class_data_frame.html">DataFrame</a> &amp;data, const QString &amp;xColumn)</td></tr>
<tr class="separator:ac07ff30a0dd7b98f5f271a2276f7241c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71e37974bca65c09df359c860fe82210" id="r_a71e37974bca65c09df359c860fe82210"><td class="memItemLeft" align="right" valign="top">static QChart *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a71e37974bca65c09df359c860fe82210">barPlot</a> (<a class="el" href="class_data_frame.html">DataFrame</a> &amp;df, QString &amp;xAxis, QString &amp;yAxis, QString &amp;stat, QColor &amp;color)</td></tr>
<tr class="separator:a71e37974bca65c09df359c860fe82210"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b5226a9b0269adf404d495e871dd3d6" id="r_a4b5226a9b0269adf404d495e871dd3d6"><td class="memItemLeft" align="right" valign="top">static QChart *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a4b5226a9b0269adf404d495e871dd3d6">horizontalBarPlot</a> (<a class="el" href="class_data_frame.html">DataFrame</a> &amp;df, QString &amp;xAxis, QString &amp;yAxis, QString &amp;stat, QColor &amp;color)</td></tr>
<tr class="separator:a4b5226a9b0269adf404d495e871dd3d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d311099c9bdc87bdfeae8bc8e41c79f" id="r_a8d311099c9bdc87bdfeae8bc8e41c79f"><td class="memItemLeft" align="right" valign="top">static QVector&lt; <a class="el" href="struct_data_point.html">DataPoint</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a8d311099c9bdc87bdfeae8bc8e41c79f">generateDataPoints</a> (<a class="el" href="class_data_frame.html">DataFrame</a> &amp;data, const QString &amp;xColumn, const QString &amp;yColumn)</td></tr>
<tr class="separator:a8d311099c9bdc87bdfeae8bc8e41c79f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d4bd4376aee6fda61291a2ed11b0db6" id="r_a4d4bd4376aee6fda61291a2ed11b0db6"><td class="memItemLeft" align="right" valign="top">static QPen&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a4d4bd4376aee6fda61291a2ed11b0db6">createPen</a> (int width, QColor &amp;color)</td></tr>
<tr class="separator:a4d4bd4376aee6fda61291a2ed11b0db6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2607894fbd9956d4b536c2092158f0d4" id="r_a2607894fbd9956d4b536c2092158f0d4"><td class="memItemLeft" align="right" valign="top">static QColor&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a2607894fbd9956d4b536c2092158f0d4">generateRandomColor</a> ()</td></tr>
<tr class="separator:a2607894fbd9956d4b536c2092158f0d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ea8fef69cfa31444c753300df93f443" id="r_a0ea8fef69cfa31444c753300df93f443"><td class="memItemLeft" align="right" valign="top">static QPropertyAnimation *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a0ea8fef69cfa31444c753300df93f443">createSeriesAnimation</a> (QAbstractSeries *series)</td></tr>
<tr class="separator:a0ea8fef69cfa31444c753300df93f443"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a696bc3f7dbb1037c8ca391ae59236fc2" id="r_a696bc3f7dbb1037c8ca391ae59236fc2"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a696bc3f7dbb1037c8ca391ae59236fc2">setChartProperties</a> (QChart *chart, QAbstractSeries *series, const QString &amp;xColumn, const QString &amp;yColumn)</td></tr>
<tr class="separator:a696bc3f7dbb1037c8ca391ae59236fc2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a1f49a6d1907651382b9a948af85e03f9" name="a1f49a6d1907651382b9a948af85e03f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1f49a6d1907651382b9a948af85e03f9">&#9670;&#160;</a></span>Graphs()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Graphs::Graphs </td>
          <td>(</td>
          <td class="paramtype">QGraphicsView *</td>          <td class="paramname"><span class="paramname"><em>parent</em><span class="paramdefsep"> = </span><span class="paramdefval">nullptr</span></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a71e37974bca65c09df359c860fe82210" name="a71e37974bca65c09df359c860fe82210"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a71e37974bca65c09df359c860fe82210">&#9670;&#160;</a></span>barPlot()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QChart * Graphs::barPlot </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_data_frame.html">DataFrame</a> &amp;</td>          <td class="paramname"><span class="paramname"><em>df</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QString &amp;</td>          <td class="paramname"><span class="paramname"><em>xAxis</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QString &amp;</td>          <td class="paramname"><span class="paramname"><em>yAxis</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QString &amp;</td>          <td class="paramname"><span class="paramname"><em>stat</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QColor &amp;</td>          <td class="paramname"><span class="paramname"><em>color</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac07ff30a0dd7b98f5f271a2276f7241c" name="ac07ff30a0dd7b98f5f271a2276f7241c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac07ff30a0dd7b98f5f271a2276f7241c">&#9670;&#160;</a></span>createDonutChart()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QChart * Graphs::createDonutChart </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_data_frame.html">DataFrame</a> &amp;</td>          <td class="paramname"><span class="paramname"><em>data</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const QString &amp;</td>          <td class="paramname"><span class="paramname"><em>xColumn</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa164267ba246cb8f66d2ae7fd1128a4c" name="aa164267ba246cb8f66d2ae7fd1128a4c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa164267ba246cb8f66d2ae7fd1128a4c">&#9670;&#160;</a></span>createLineChart()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QChart * Graphs::createLineChart </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_data_frame.html">DataFrame</a> &amp;</td>          <td class="paramname"><span class="paramname"><em>data</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const QString &amp;</td>          <td class="paramname"><span class="paramname"><em>xColumn</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const QString &amp;</td>          <td class="paramname"><span class="paramname"><em>yColumn</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QColor &amp;</td>          <td class="paramname"><span class="paramname"><em>color</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4d4bd4376aee6fda61291a2ed11b0db6" name="a4d4bd4376aee6fda61291a2ed11b0db6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4d4bd4376aee6fda61291a2ed11b0db6">&#9670;&#160;</a></span>createPen()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QPen Graphs::createPen </td>
          <td>(</td>
          <td class="paramtype">int</td>          <td class="paramname"><span class="paramname"><em>width</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QColor &amp;</td>          <td class="paramname"><span class="paramname"><em>color</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="afb4414bb0ed5b28e2c8acbae238679c5" name="afb4414bb0ed5b28e2c8acbae238679c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afb4414bb0ed5b28e2c8acbae238679c5">&#9670;&#160;</a></span>createPieChart()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QChart * Graphs::createPieChart </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_data_frame.html">DataFrame</a> &amp;</td>          <td class="paramname"><span class="paramname"><em>data</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const QString &amp;</td>          <td class="paramname"><span class="paramname"><em>xColumn</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa5a7231d718606df6aefc8ab8cceb4e5" name="aa5a7231d718606df6aefc8ab8cceb4e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa5a7231d718606df6aefc8ab8cceb4e5">&#9670;&#160;</a></span>createPieOrDonutChart()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QChart * Graphs::createPieOrDonutChart </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_data_frame.html">DataFrame</a> &amp;</td>          <td class="paramname"><span class="paramname"><em>data</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const QString &amp;</td>          <td class="paramname"><span class="paramname"><em>xColumn</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool</td>          <td class="paramname"><span class="paramname"><em>isDonutChart</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a9c735836e91cd94bd3e361b11e6a8ffe" name="a9c735836e91cd94bd3e361b11e6a8ffe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9c735836e91cd94bd3e361b11e6a8ffe">&#9670;&#160;</a></span>createScatterChart()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QChart * Graphs::createScatterChart </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_data_frame.html">DataFrame</a> &amp;</td>          <td class="paramname"><span class="paramname"><em>data</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const QString &amp;</td>          <td class="paramname"><span class="paramname"><em>xColumn</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const QString &amp;</td>          <td class="paramname"><span class="paramname"><em>yColumn</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QColor &amp;</td>          <td class="paramname"><span class="paramname"><em>color</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0ea8fef69cfa31444c753300df93f443" name="a0ea8fef69cfa31444c753300df93f443"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0ea8fef69cfa31444c753300df93f443">&#9670;&#160;</a></span>createSeriesAnimation()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QPropertyAnimation * Graphs::createSeriesAnimation </td>
          <td>(</td>
          <td class="paramtype">QAbstractSeries *</td>          <td class="paramname"><span class="paramname"><em>series</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a8d311099c9bdc87bdfeae8bc8e41c79f" name="a8d311099c9bdc87bdfeae8bc8e41c79f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8d311099c9bdc87bdfeae8bc8e41c79f">&#9670;&#160;</a></span>generateDataPoints()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QVector&lt; <a class="el" href="struct_data_point.html">DataPoint</a> &gt; Graphs::generateDataPoints </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_data_frame.html">DataFrame</a> &amp;</td>          <td class="paramname"><span class="paramname"><em>data</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const QString &amp;</td>          <td class="paramname"><span class="paramname"><em>xColumn</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const QString &amp;</td>          <td class="paramname"><span class="paramname"><em>yColumn</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2607894fbd9956d4b536c2092158f0d4" name="a2607894fbd9956d4b536c2092158f0d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2607894fbd9956d4b536c2092158f0d4">&#9670;&#160;</a></span>generateRandomColor()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QColor Graphs::generateRandomColor </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4b5226a9b0269adf404d495e871dd3d6" name="a4b5226a9b0269adf404d495e871dd3d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4b5226a9b0269adf404d495e871dd3d6">&#9670;&#160;</a></span>horizontalBarPlot()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QChart * Graphs::horizontalBarPlot </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_data_frame.html">DataFrame</a> &amp;</td>          <td class="paramname"><span class="paramname"><em>df</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QString &amp;</td>          <td class="paramname"><span class="paramname"><em>xAxis</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QString &amp;</td>          <td class="paramname"><span class="paramname"><em>yAxis</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QString &amp;</td>          <td class="paramname"><span class="paramname"><em>stat</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QColor &amp;</td>          <td class="paramname"><span class="paramname"><em>color</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a696bc3f7dbb1037c8ca391ae59236fc2" name="a696bc3f7dbb1037c8ca391ae59236fc2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a696bc3f7dbb1037c8ca391ae59236fc2">&#9670;&#160;</a></span>setChartProperties()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Graphs::setChartProperties </td>
          <td>(</td>
          <td class="paramtype">QChart *</td>          <td class="paramname"><span class="paramname"><em>chart</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QAbstractSeries *</td>          <td class="paramname"><span class="paramname"><em>series</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const QString &amp;</td>          <td class="paramname"><span class="paramname"><em>xColumn</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const QString &amp;</td>          <td class="paramname"><span class="paramname"><em>yColumn</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>alatZaAnalitiku/src/<a class="el" href="graphs_8h_source.html">graphs.h</a></li>
<li>alatZaAnalitiku/src/<a class="el" href="graphs_8cpp.html">graphs.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0
</small></address>
</body>
</html>
